'use strict';

const institutionRoles = {
    '_priority': {
        'STAFF': 1,
        'STUDENT': 2
    },
    'MENTOR': 'STAFF',
    'SENSOR': 'STAFF',
    'EKSANSV': 'STAFF',
    'HOVEDLÆRER': 'STAFF',
    'FAGLÆRER': 'STAFF',
    'STIPENDIAT': 'STAFF',
    'ASSISTENT': 'STUDENT',
    'VEILEDER': 'STAFF',
    'KOORDINATO': 'STAFF',
    'STUDIEADM': 'STAFF',
    'ADMIN': 'STAFF',
    'LÆRER': 'STAFF',
    'KURSANSV': 'STAFF',
    'KONTAKT': 'STAFF',
    'student': 'STUDENT',
    'undervisningsmelding': 'STUDENT',
    // V: 'STUDENT' Just skipping this, since we want to filter it out,
    // hence do not assign blackboard role
};

const enrolmentRoles = {
    '_priority': {
        'student': 3,
        'teaching_assistant': 2,
        'instructor': 1
    },
    'FAGLÆRER': 'instructor',
    'KOORDINATO': 'instructor',
    'HOVEDLÆRER': 'instructor',
    'KONTAKT': 'instructor',
    'LÆRER': 'instructor',
    'ADMIN': 'instructor',
    'KURSANSV': 'instructor',
    'MENTOR': 'instructor',
    'PRAKSISADM': 'instructor',
    'SPA': 'instructor',
    'EKSANSV': 'instructor',
    'SENSOR': 'instructor',
    'STUDIEADM': 'instructor',
    'STIPENDIAT': 'instructor',
    'VEILEDER': 'instructor',
    'ASSISTENT': 'teaching_assistant',
    'undervisningsmelding': 'student',
};

module.exports = {
    'institutionRoles': institutionRoles,
    'enrolmentRoles': enrolmentRoles
};

